Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -1157,18 +2124,107 @@
   AutoContrast                                  boolean
   AutoExposure                                  boolean
+  AutoLateralCA                                 integer
   AutoShadows                                   boolean
+  AutoTone                                      boolean
+  AutoToneDigest                                string
+  AutoToneDigestNoSat                           string
+  AutoWhiteVersion                              integer
+  Blacks2012                                    integer
   BlueHue                                       integer
   BlueSaturation                                integer
   Brightness                                    integer
+  CameraModelRestriction                        string
   CameraProfile                                 string
   CameraProfileDigest                           string
   ChromaticAberrationB                          integer
   ChromaticAberrationR                          integer
+  CircularGradientBasedCorrections              Correction Struct+
+  CircGradBasedCorrActive                       boolean_
+  CircGradBasedCorrAmount                       real_
+  CircGradBasedCorrMasks                        CorrectionMask Struct_+
+  CircGradBasedCorrMaskAlpha                    real_
+  CircGradBasedCorrMaskAngle                    real_
+  CircGradBasedCorrMaskBottom                   real_
+  CircGradBasedCorrMaskCenterValue              real_
+  CircGradBasedCorrMaskCenterWeight             real_
+  CircGradBasedCorrMaskDabs                     string_
+  CircGradBasedCorrMaskFeather                  real_
+  CircGradBasedCorrMaskFlipped                  boolean_
+  CircGradBasedCorrMaskFlow                     real_
+  CircGradBasedCorrMaskFullX                    real_
+  CircGradBasedCorrMaskFullY                    real_
+  CircGradBasedCorrMaskLeft                     real_
+  CircGradBasedCorrMaskValue                    real_
+  CircGradBasedCorrMaskMidpoint                 real_
+  CircGradBasedCorrMaskPerimeterValue           real_
+  CircGradBasedCorrMaskRadius                   real_
+  CircGradBasedCorrMaskRight                    real_
+  CircGradBasedCorrMaskRoundness                real_
+  CircGradBasedCorrMaskSizeX                    real_
+  CircGradBasedCorrMaskSizeY                    real_
+  CircGradBasedCorrMaskTop                      real_
+  CircGradBasedCorrMaskVersion                  integer_
+  CircGradBasedCorrMaskWhat                     string_
+  CircGradBasedCorrMaskX                        real_
+  CircGradBasedCorrMaskY                        real_
+  CircGradBasedCorrMaskZeroX                    real_
+  CircGradBasedCorrMaskZeroY                    real_
+  CircGradBasedCorrRangeMask                    CorrectionRangeMask Struct_+
+  CircGradBasedCorrRangeMaskColorAmount         real_+
+  CircGradBasedCorrRangeMaskDepthFeather        real_+
+  CircGradBasedCorrRangeMaskDepthMax            real_+
+  CircGradBasedCorrRangeMaskDepthMin            real_+
+  CircGradBasedCorrRangeMaskLumFeather          real_+
+  CircGradBasedCorrRangeMaskLumMax              real_+
+  CircGradBasedCorrRangeMaskLumMin              real_+
+  CircGradBasedCorrRangeMaskType                string_+
+  CircGradBasedCorrRangeMaskVersion             string_+
+  CircGradBasedCorrBlacks2012                   real_
+  CircGradBasedCorrBrightness                   real_
+  CircGradBasedCorrClarity                      real_
+  CircGradBasedCorrClarity2012                  real_
+  CircGradBasedCorrContrast                     real_
+  CircGradBasedCorrContrast2012                 real_
+  CircGradBasedCorrDefringe                     real_
+  CircGradBasedCorrDehaze                       real_
+  CircGradBasedCorrExposure                     real_
+  CircGradBasedCorrExposure2012                 real_
+  CircGradBasedCorrHighlights2012               real_
+  CircGradBasedCorrHue                          real_
+  CircGradBasedCorrLuminanceNoise               real_
+  CircGradBasedCorrMoire                        real_
+  CircGradBasedCorrSaturation                   real_
+  CircGradBasedCorrShadows2012                  real_
+  CircGradBasedCorrSharpness                    real_
+  CircGradBasedCorrTemperature                  real_
+  CircGradBasedCorrTexture                      real_
+  CircGradBasedCorrTint                         real_
+  CircGradBasedCorrHue                          real_
+  CircGradBasedCorrSaturation                   real_
+  CircGradBasedCorrWhites2012                   real_
+  CircGradBasedCorrWhat                         string_
   Clarity                                       integer
+  Clarity2012                                   integer
+  ClipboardAspectRatio                          integer
+  ClipboardOrientation                          integer
+  Cluster                                       string
+  ColorGradeBlending                            integer
+  ColorGradeGlobalHue                           integer
+  ColorGradeGlobalLum                           integer
+  ColorGradeGlobalSat                           integer
+  ColorGradeHighlightLum                        integer
+  ColorGradeMidtoneHue                          integer
+  ColorGradeMidtoneLum                          integer
+  ColorGradeMidtoneSat                          integer
+  ColorGradeShadowLum                           integer
   ColorNoiseReduction                           integer
   ColorNoiseReductionDetail                     integer
+  ColorNoiseReductionSmoothness                 integer
+  ContactInfo                                   string
   Contrast                                      integer/
+  Contrast2012                                  integer
   Converter                                     string
   ConvertToGrayscale                            boolean
+  Copyright                                     string/
   CropAngle                                     real
   CropBottom                                    real
@@ -1181,6 +2237,20 @@
   CropUnits                                     integer
   CropWidth                                     real
+  DefaultAutoGray                               boolean
+  DefaultAutoTone                               boolean
+  DefaultsSpecificToISO                         boolean
+  DefaultsSpecificToSerial                      boolean
   Defringe                                      integer
+  DefringeGreenAmount                           integer
+  DefringeGreenHueHi                            integer
+  DefringeGreenHueLo                            integer
+  DefringePurpleAmount                          integer
+  DefringePurpleHueHi                           integer
+  DefringePurpleHueLo                           integer
+  Dehaze                                        real
+  Description                                   lang-alt/
+  DNGIgnoreSidecars                             boolean
   Exposure                                      real
+  Exposure2012                                  real
   FillLight                                     integer
   GradientBasedCorrections                      Correction Struct+
@@ -1188,25 +2258,68 @@
   GradientBasedCorrAmount                       real_
   GradientBasedCorrMasks                        CorrectionMask Struct_+
+  GradientBasedCorrMaskAlpha                    real_
+  GradientBasedCorrMaskAngle                    real_
+  GradientBasedCorrMaskBottom                   real_
+  GradientBasedCorrMaskCenterValue              real_
   GradientBasedCorrMaskCenterWeight             real_
   GradientBasedCorrMaskDabs                     string_
+  GradientBasedCorrMaskFeather                  real_
+  GradientBasedCorrMaskFlipped                  boolean_
   GradientBasedCorrMaskFlow                     real_
   GradientBasedCorrMaskFullX                    real_
   GradientBasedCorrMaskFullY                    real_
+  GradientBasedCorrMaskLeft                     real_
   GradientBasedCorrMaskValue                    real_
+  GradientBasedCorrMaskMidpoint                 real_
+  GradientBasedCorrMaskPerimeterValue           real_
   GradientBasedCorrMaskRadius                   real_
+  GradientBasedCorrMaskRight                    real_
+  GradientBasedCorrMaskRoundness                real_
+  GradientBasedCorrMaskSizeX                    real_
+  GradientBasedCorrMaskSizeY                    real_
+  GradientBasedCorrMaskTop                      real_
+  GradientBasedCorrMaskVersion                  integer_
   GradientBasedCorrMaskWhat                     string_
+  GradientBasedCorrMaskX                        real_
+  GradientBasedCorrMaskY                        real_
   GradientBasedCorrMaskZeroX                    real_
   GradientBasedCorrMaskZeroY                    real_
+  GradientBasedCorrRangeMask                    CorrectionRangeMask Struct_+
+  GradientBasedCorrRangeMaskColorAmount         real_+
+  GradientBasedCorrRangeMaskDepthFeather        real_+
+  GradientBasedCorrRangeMaskDepthMax            real_+
+  GradientBasedCorrRangeMaskDepthMin            real_+
+  GradientBasedCorrRangeMaskLumFeather          real_+
+  GradientBasedCorrRangeMaskLumMax              real_+
+  GradientBasedCorrRangeMaskLumMin              real_+
+  GradientBasedCorrRangeMaskType                string_+
+  GradientBasedCorrRangeMaskVersion             string_+
+  GradientBasedCorrBlacks2012                   real_
   GradientBasedCorrBrightness                   real_
   GradientBasedCorrClarity                      real_
+  GradientBasedCorrClarity2012                  real_
   GradientBasedCorrContrast                     real_
+  GradientBasedCorrContrast2012                 real_
+  GradientBasedCorrDefringe                     real_
+  GradientBasedCorrDehaze                       real_
   GradientBasedCorrExposure                     real_
+  GradientBasedCorrExposure2012                 real_
+  GradientBasedCorrHighlights2012               real_
+  GradientBasedCorrHue                          real_
+  GradientBasedCorrLuminanceNoise               real_
+  GradientBasedCorrMoire                        real_
   GradientBasedCorrSaturation                   real_
+  GradientBasedCorrShadows2012                  real_
   GradientBasedCorrSharpness                    real_
+  GradientBasedCorrTemperature                  real_
+  GradientBasedCorrTexture                      real_
+  GradientBasedCorrTint                         real_
   GradientBasedCorrHue                          real_
   GradientBasedCorrSaturation                   real_
+  GradientBasedCorrWhites2012                   real_
   GradientBasedCorrWhat                         string_
   GrainAmount                                   integer
   GrainFrequency                                integer
+  GrainSeed                                     integer
   GrainSize                                     integer
   GrayMixerAqua                                 integer
@@ -1220,7 +2333,10 @@
   GreenHue                                      integer
   GreenSaturation                               integer
+  Group                                         lang-alt/
   HasCrop                                       boolean
   HasSettings                                   boolean
+  Highlight2012                                 integer
   HighlightRecovery                             integer
+  Highlights2012                                integer
   HueAdjustmentAqua                             integer
   HueAdjustmentBlue                             integer
@@ -1233,4 +2349,5 @@
   IncrementalTemperature                        integer
   IncrementalTint                               integer
+  JPEGHandling                                  string
   LensManualDistortionAmount                    integer
   LensProfileChromaticAberrationScale           integer
@@ -1239,7 +2356,34 @@
   LensProfileEnable                             integer
   LensProfileFilename                           string
+  LensProfileIsEmbedded                         boolean
+  LensProfileMatchKeyCameraModelName            string
+  LensProfileMatchKeyExifMake                   string
+  LensProfileMatchKeyExifModel                  string
+  LensProfileMatchKeyIsRaw                      boolean
+  LensProfileMatchKeyLensID                     string
+  LensProfileMatchKeyLensInfo                   string
+  LensProfileMatchKeyLensName                   string
+  LensProfileMatchKeySensorFormatFactor         real
   LensProfileName                               string
   LensProfileSetup                              string
   LensProfileVignettingScale                    integer
+  Look                                          Look Struct
+  LookAmount                                    string_
+  LookCluster                                   string_
+  LookCopyright                                 string_
+  LookGroup                                     lang-alt_
+  LookName                                      string
+  LookParameters                                LookParms Struct_
+  LookParametersCameraProfile                   string_
+  LookParametersClarity2012                     string_
+  LookParametersConvertToGrayscale              string_
+  LookParametersLookTable                       string_
+  LookParametersProcessVersion                  string_
+  LookParametersToneCurvePV2012                 string_+
+  LookParametersVersion                         string_
+  LookSupportsAmount                            string_
+  LookSupportsMonochrome                        string_
+  LookSupportsOutputReferred                    string_
+  LookUUID                                      string_
   LuminanceAdjustmentAqua                       integer
   LuminanceAdjustmentBlue                       integer
@@ -1254,26 +2398,73 @@
   LuminanceSmoothing                            integer
   MoireFilter                                   string
+  Name                                          lang-alt/
+  NegativeCacheLargePreviewSize                 integer
+  NegativeCacheMaximumSize                      real
+  NegativeCachePath                             string
+  OverrideLookVignette                          boolean
   PaintBasedCorrections                         Correction Struct+
   PaintCorrectionActive                         boolean_
   PaintCorrectionAmount                         real_
   PaintBasedCorrectionMasks                     CorrectionMask Struct_+
+  PaintCorrectionMaskAlpha                      real_
+  PaintCorrectionMaskAngle                      real_
+  PaintCorrectionMaskBottom                     real_
+  PaintCorrectionMaskCenterValue                real_
   PaintCorrectionMaskCenterWeight               real_
   PaintCorrectionMaskDabs                       string_
+  PaintCorrectionMaskFeather                    real_
+  PaintCorrectionMaskFlipped                    boolean_
   PaintCorrectionMaskFlow                       real_
   PaintCorrectionMaskFullX                      real_
   PaintCorrectionMaskFullY                      real_
+  PaintCorrectionMaskLeft                       real_
   PaintCorrectionMaskValue                      real_
+  PaintCorrectionMaskMidpoint                   real_
+  PaintCorrectionMaskPerimeterValue             real_
   PaintCorrectionMaskRadius                     real_
+  PaintCorrectionMaskRight                      real_
+  PaintCorrectionMaskRoundness                  real_
+  PaintCorrectionMaskSizeX                      real_
+  PaintCorrectionMaskSizeY                      real_
+  PaintCorrectionMaskTop                        real_
+  PaintCorrectionMaskVersion                    integer_
   PaintCorrectionMaskWhat                       string_
+  PaintCorrectionMaskX                          real_
+  PaintCorrectionMaskY                          real_
   PaintCorrectionMaskZeroX                      real_
   PaintCorrectionMaskZeroY                      real_
+  PaintCorrectionRangeMask                      CorrectionRangeMask Struct_+
+  PaintCorrectionRangeMaskColorAmount           real_+
+  PaintCorrectionRangeMaskDepthFeather          real_+
+  PaintCorrectionRangeMaskDepthMax              real_+
+  PaintCorrectionRangeMaskDepthMin              real_+
+  PaintCorrectionRangeMaskLumFeather            real_+
+  PaintCorrectionRangeMaskLumMax                real_+
+  PaintCorrectionRangeMaskLumMin                real_+
+  PaintCorrectionRangeMaskType                  string_+
+  PaintCorrectionRangeMaskVersion               string_+
+  PaintCorrectionBlacks2012                     real_
   PaintCorrectionBrightness                     real_
   PaintCorrectionClarity                        real_
+  PaintCorrectionClarity2012                    real_
   PaintCorrectionContrast                       real_
+  PaintCorrectionContrast2012                   real_
+  PaintCorrectionDefringe                       real_
+  PaintCorrectionDehaze                         real_
   PaintCorrectionExposure                       real_
+  PaintCorrectionExposure2012                   real_
+  PaintCorrectionHighlights2012                 real_
+  PaintCorrectionHue                            real_
+  PaintCorrectionLuminanceNoise                 real_
+  PaintCorrectionMoire                          real_
   PaintCorrectionSaturation                     real_
+  PaintCorrectionShadows2012                    real_
   PaintCorrectionSharpness                      real_
+  PaintCorrectionTemperature                    real_
+  PaintCorrectionTexture                        real_
+  PaintCorrectionTint                           real_
   PaintCorrectionHue                            real_
   PaintCorrectionSaturation                     real_
+  PaintCorrectionWhites2012                     real_
   PaintCorrectionWhat                           string_
   ParametricDarks                               integer
@@ -1284,13 +2475,19 @@
   ParametricShadows                             integer
   ParametricShadowSplit                         integer
+  PerspectiveAspect                             integer
   PerspectiveHorizontal                         integer
   PerspectiveRotate                             real
   PerspectiveScale                              integer
+  PerspectiveUpright                            integer
   PerspectiveVertical                           integer
+  PerspectiveX                                  real
+  PerspectiveY                                  real
   PostCropVignetteAmount                        integer
   PostCropVignetteFeather                       integer
+  PostCropVignetteHighlightContrast             integer
   PostCropVignetteMidpoint                      integer
   PostCropVignetteRoundness                     integer
   PostCropVignetteStyle                         integer
+  PresetType                                    string
   ProcessVersion                                string
   RawFileName                                   string
@@ -1298,4 +2495,41 @@
   RedHue                                        integer
   RedSaturation                                 integer
+  RetouchAreas                                  RetouchArea Struct+
+  RetouchAreaFeather                            real_
+  RetouchAreaMasks                              CorrectionMask Struct_+
+  RetouchAreaMaskAlpha                          real_
+  RetouchAreaMaskAngle                          real_
+  RetouchAreaMaskBottom                         real_
+  RetouchAreaMaskCenterValue                    real_
+  RetouchAreaMaskCenterWeight                   real_
+  RetouchAreaMaskDabs                           string_
+  RetouchAreaMaskFeather                        real_
+  RetouchAreaMaskFlipped                        boolean_
+  RetouchAreaMaskFlow                           real_
+  RetouchAreaMaskFullX                          real_
+  RetouchAreaMaskFullY                          real_
+  RetouchAreaMaskLeft                           real_
+  RetouchAreaMaskValue                          real_
+  RetouchAreaMaskMidpoint                       real_
+  RetouchAreaMaskPerimeterValue                 real_
+  RetouchAreaMaskRadius                         real_
+  RetouchAreaMaskRight                          real_
+  RetouchAreaMaskRoundness                      real_
+  RetouchAreaMaskSizeX                          real_
+  RetouchAreaMaskSizeY                          real_
+  RetouchAreaMaskTop                            real_
+  RetouchAreaMaskVersion                        integer_
+  RetouchAreaMaskWhat                           string_
+  RetouchAreaMaskX                              real_
+  RetouchAreaMaskY                              real_
+  RetouchAreaMaskZeroX                          real_
+  RetouchAreaMaskZeroY                          real_
+  RetouchAreaMethod                             string_
+  RetouchAreaOffsetY                            real_
+  RetouchAreaOpacity                            real_
+  RetouchAreaSeed                               integer_
+  RetouchAreaSourceState                        string_
+  RetouchAreaSourceX                            real_
+  RetouchAreaSpotType                           string_
   RetouchInfo                                   string+
   Saturation                                    integer/
@@ -1309,4 +2543,5 @@
   SaturationAdjustmentYellow                    integer
   Shadows                                       integer
+  Shadows2012                                   integer
   ShadowTint                                    integer
   SharpenDetail                                 integer
@@ -1314,5 +2549,7 @@
   SharpenRadius                                 real
   Sharpness                                     integer/
+  ShortName                                     lang-alt
   Smoothness                                    integer
+  SortName                                      lang-alt
   SplitToningBalance                            integer
   SplitToningHighlightHue                       integer
@@ -1320,49 +2557,58 @@
   SplitToningShadowHue                          integer
   SplitToningShadowSaturation                   integer
-  ColorTemperature                              integer/
+  SupportsAmount                                boolean
+  SupportsColor                                 boolean
+  SupportsHighDynamicRange                      boolean
+  SupportsMonochrome                            boolean
+  SupportsNormalDynamicRange                    boolean
+  SupportsOutputReferred                        boolean
+  SupportsSceneReferred                         boolean
+  ColorTemperature                              integer
+  Texture                                       integer
+  TIFFHandling                                  string
   Tint                                          integer
+  ToggleStyleAmount                             integer
+  ToggleStyleDigest                             string
   ToneCurve                                     string+
+  ToneCurveBlue                                 string+
+  ToneCurveGreen                                string+
   ToneCurveName                                 string
+  ToneCurveName2012                             string
+  ToneCurvePV2012                               string+
+  ToneCurvePV2012Blue                           string+
+  ToneCurvePV2012Green                          string+
+  ToneCurvePV2012Red                            string+
+  ToneCurveRed                                  string+
+  ToneMapStrength                               real
+  UprightCenterMode                             integer
+  UprightCenterNormX                            real
+  UprightCenterNormY                            real
+  UprightDependentDigest                        string
+  UprightFocalLength35mm                        real
+  UprightFocalMode                              integer
+  UprightFourSegmentsCount                      integer
+  UprightPreview                                boolean
+  UprightTransform_0                            string
+  UprightTransform_1                            string
+  UprightTransform_2                            string
+  UprightTransform_3                            string
+  UprightTransform_4                            string
+  UprightTransform_5                            string
+  UprightTransformCount                         integer
+  UprightVersion                                integer
+  UUID                                          string/
   Version                                       string
   Vibrance                                      integer
   VignetteAmount                                integer
   VignetteMidpoint                              integer
+  What                                          string
   WhiteBalance                                  string/
-
-=head3 XMP Correction Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  CorrectionActive                              boolean
-  CorrectionAmount                              real
-  CorrectionMasks                               CorrectionMask Struct+
-  LocalBrightness                               real
-  LocalClarity                                  real
-  LocalContrast                                 real
-  LocalExposure                                 real
-  LocalSaturation                               real
-  LocalSharpness                                real
-  LocalToningHue                                real
-  LocalToningSaturation                         real
-  What                                          string
-
-=head3 XMP CorrectionMask Struct
-
-  Field Name                                    Writable
-  ----------                                    --------
-  CenterWeight                                  real
-  Dabs                                          string+
-  Flow                                          real
-  FullX                                         real
-  FullY                                         real
-  MaskValue                                     real
-  Radius                                        real
-  What                                          string
-  ZeroX                                         real
-  ZeroY                                         real
+  Whites2012                                    integer
 
 =head3 XMP dc Tags
 
-Dublin Core schema tags.
+Dublin Core namespace tags.
+
+These tags belong to the ExifTool XMP-dc family 1 group.
 
   Tag Name                                      Writable
